LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAxis Interface Reference

`import"XAxis.idl";`

Inheritance diagram for XAxis:

## Public Member Functions
void | setScaleData ([in] ScaleData aScale)
ScaleData | getScaleData ()
com::sun::star::beans::XPropertySet | getGridProperties ()
| the returned property set must support the service GridProperties More...
sequence< com::sun::star::beans::XPropertySet > | getSubGridProperties ()
| the returned property sets must support the service GridProperties More...
sequence< com::sun::star::beans::XPropertySet > | getSubTickProperties ()
| the returned property sets must support the service TickProperties More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getGridProperties()

com::sun::star::beans::XPropertySet getGridProperties | ( |  | ) |

the returned property set must support the service GridProperties

## ◆ getScaleData()

ScaleData getScaleData | ( |  | ) |

## ◆ getSubGridProperties()

sequence< com::sun::star::beans::XPropertySet > getSubGridProperties | ( |  | ) |

the returned property sets must support the service GridProperties

If you do not want to render certain a sub-grid, in the corresponding XPropertySet the property GridProperties::Show must be `FALSE`.

## ◆ getSubTickProperties()

sequence< com::sun::star::beans::XPropertySet > getSubTickProperties | ( |  | ) |

the returned property sets must support the service TickProperties

## ◆ setScaleData()

void setScaleData | ( | [in] ScaleData | aScale | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XAxis.idl